curl --request GET \
--url https://demo.enneo.ai/api/mind/template/{id} \
--header 'Authorization: Bearer <token>'{
"success": true,
"id": 12,
"tagId": 101,
"emailTemplateId": 5,
"description": "Reminder: please send your meter reading",
"message": "<p>Hallo {{contract.firstName}},</p><p>bitte sende uns den Stand.</p>",
"template": "<p>Hallo {{contract.firstName}},</p>%MESSAGE%<p>Viele Grüße</p>",
"mergedTemplate": "<p>Hallo {{contract.firstName}},</p><p>bitte sende uns den Stand.</p><p>Viele Grüße</p>",
"subject": "Wir benötigen deinen Zählerstand",
"exampleTicketIds": [
8812
],
"attachments": []
}Returns the template including the underlying generic wrapper and merged HTML. Example ticket IDs are filtered to existing tickets.
curl --request GET \
--url https://demo.enneo.ai/api/mind/template/{id} \
--header 'Authorization: Bearer <token>'{
"success": true,
"id": 12,
"tagId": 101,
"emailTemplateId": 5,
"description": "Reminder: please send your meter reading",
"message": "<p>Hallo {{contract.firstName}},</p><p>bitte sende uns den Stand.</p>",
"template": "<p>Hallo {{contract.firstName}},</p>%MESSAGE%<p>Viele Grüße</p>",
"mergedTemplate": "<p>Hallo {{contract.firstName}},</p><p>bitte sende uns den Stand.</p><p>Viele Grüße</p>",
"subject": "Wir benötigen deinen Zählerstand",
"exampleTicketIds": [
8812
],
"attachments": []
}JWT-based authentication
Template ID
Successful operation
The id of the template
1
The id of the tag that the template belongs to
1
The id of the email template that is used for wrapping
1
The description of the intent template
"Zählerstand erfolgreich hinterlegt"
The template itself
"<p>Wir haben den Zählerstand von {{intent.data.reading}} kWh für den {{formatDateDE intent.data.date}} erfasst und im System hinterlegt.</p>"
The subject of the email for outgoing emails
"Wir brauchen Deine Unterstützung"
The ids of the tickets that are used as examples for the intent template
The merged template
"Wir haben den Zählerstand von 123 kWh für den 01.01.2022 erfasst und im System hinterlegt."
The template itself
"<p>Wir haben den Zählerstand von 123 kWh für den 01.01.2022 erfasst und im System hinterlegt.</p>"
If true, the template is successful
true